import React, { useState } from 'react'
import { Button } from '@tarojs/components'
import request, { apis } from '@/utils/request'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function GetUserPhone (props) {

  const ToGetUserPhone = (e) => { // 授权手机号
    request({
      ...apis.getUserPhone,
      params: {
        sessionKey: e.detail.cloudId,
        encryptedData: e.detail.encryptedData,
        iv: e.detail.iv
      }
    }).then((res) => {
      console.log(res)
    })
  }

  return (
    <view className='GetUserPhone'>
      <view className='centerLabel'>
        <text>您暂未授权手机号</text>
        <view className='flex-h'>
          <text className='flex-item'>取消</text>
          <Button className='flex-item' open-type='getPhoneNumber' lang='zh_CN' onGetphonenumber={ToGetUserPhone}>授权手机</Button>
        </view>
      </view>
    </view>
  )
}
